> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tokenlab.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# 배치 목록

> 현재 API 키 조직의 배치 작업을 나열합니다.

## 개요

이 엔드포인트는 TokenLab의 OpenAI 호환 배치 API의 일부입니다. 배치 작업은 업로드된 JSONL 파일을 사용하며 비동기적으로 실행되며 나중에 출력/오류 파일을 반환할 수 있습니다.

## 주의 사항

* 배치 입력 파일은 `purpose=batch`를 사용해야 합니다.
* `completion_window`는 현재 `24h`입니다.
* 출력 순서는 보장되지 않으며, 항상 `custom_id`로 일치시켜야 합니다.
* 배치 항목 내에서 스트리밍은 지원되지 않습니다.

## 예시

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET "https://api.tokenlab.sh/v1/batches?limit=20" \
    -H "Authorization: Bearer sk-your-api-key"
  ```
</RequestExample>

## 요청 / 응답

정확한 스키마를 위해 위의 대화형 OpenAPI 패널을 사용하세요.

## 운영 팁

* 아이덴포턴트 다운스트림 조정을 위해 `custom_id`를 사용하세요.
* 작업자가 배치를 완료한 후에만 `output_file_id` 및 `error_file_id`를 기대하세요.
* 배치 가격은 `isBatchRequest=true` 할인 규칙이 적용되기 때문에 동기 가격과 다를 수 있습니다.

## 응답 예시

<ResponseExample>
  ```json 200 OK theme={null}
  {
    "object": "list",
    "data": [{ "id": "batch_abc123", "object": "batch", "status": "completed" }]
  }
  ```
</ResponseExample>

## 중요 필드

<ResponseField name="object" type="string">응답 object type입니다.</ResponseField>
<ResponseField name="data" type="array">이 응답에서 반환되는 목록 또는 payload입니다.</ResponseField>
<ResponseField name="status" type="string">이 리소스의 현재 lifecycle 상태입니다.</ResponseField>
